Bug 134145 - New port: devel/lxr, generic code cross-reference tool
Summary: New port: devel/lxr, generic code cross-reference tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-01 20:40 UTC by Eygene Ryabinkin
Modified: 2009-05-30 19:50 UTC (History)
0 users

See Also:


Attachments
lxr.shar (12.81 KB, text/plain)
2009-05-01 20:40 UTC, Eygene Ryabinkin
no flags Details
lxr-1.0-fix-plist.diff (1.59 KB, patch)
2009-05-17 07:56 UTC, Eygene Ryabinkin
no flags Details | Diff
lxr-2nd-try.shar (13.37 KB, application/x-shar)
2009-05-17 17:51 UTC, Eygene Ryabinkin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2009-05-01 20:40:00 UTC
There is no LXR software in the ports tree and some people would like
to have it.

Fix: The following SHAR archive contains the port.  I had just upgraded it to
the latest version, 0.9.6.  I lived with 0.9.5 for around a half a year
and seen no problems, so this port is more-or-less tested.
How-To-Repeat: 
find /usr/ports -name lxr
Comment 1 Edwin Groothuis freebsd_committer 2009-05-01 20:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-05-10 23:29:49 UTC
State Changed
From-To: open->feedback


Build failed: 

http://64bit.miwibox.org/index.php?action=describe_port&id=2458 

Could you please take a look?
Comment 3 Eygene Ryabinkin 2009-05-17 07:56:24 UTC
Martin, good day.

Sun, May 10, 2009 at 10:30:16PM +0000, miwi@FreeBSD.org wrote:
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Sun May 10 22:29:49 UTC 2009
> State-Changed-Why: 
> 
> Build failed:
> 
> http://64bit.miwibox.org/index.php?action=describe_port&id=2458
> 
> Could you please take a look?

Yes, thanks for spotting this.  The patch is attached.  I had recovered
my own Tinderbox and the patched port passes the builds on 6.x, 7.x
and 8.x.
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook
    {_.-``-'         {_/            #
Comment 4 Martin Wilke freebsd_committer 2009-05-17 15:21:24 UTC
State Changed
From-To: feedback->open

Maintainer has fixed.
Comment 5 Martin Wilke freebsd_committer 2009-05-17 15:21:36 UTC
State Changed
From-To: open->feedback

Still failed :( 

http://64bit.miwibox.org/index.php?action=describe_port&id=2458
Comment 6 Eygene Ryabinkin 2009-05-17 17:51:40 UTC
Martin, good day.

Sun, May 17, 2009 at 02:21:51PM +0000, miwi@FreeBSD.org wrote:
> Synopsis: New port: devel/lxr, generic code cross-reference tool
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Sun May 17 14:21:36 UTC 2009
> State-Changed-Why: 
> Still failed :(
> 
> http://64bit.miwibox.org/index.php?action=describe_port&id=2458

Very strange: looks like %%LXRDIR%% never gets substituted.  Attached is
the shar archive of the latest port variant (that should result from the
original submission + patch I had sent previously).  If archive contents
will coincide with the contents of the Tinderbox's port, then it will be
very strange and I will have to dig the problem out.  But it seems to me
that LXRDIR is somehow missing from the PLIST_SUB.

What is the output from the 'make -V PLIST_SUB' in your current
port's directory?
-- 
Eygene
 _                ___       _.--.   #
 \`.|\..----...-'`   `-._.-'_.-'`   #  Remember that it is hard
 /  ' `         ,       __.--'      #  to read the on-line manual
 )/' _/     \   `-_,   /            #  while single-stepping the kernel.
 `-'" `"\_  ,_.-;_.-\_ ',  fsc/as   #
     _.-'_./   {_.'   ; /           #    -- FreeBSD Developers handbook
    {_.-``-'         {_/            #
Comment 7 Martin Wilke freebsd_committer 2009-05-30 19:44:12 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 8 dfilter service freebsd_committer 2009-05-30 19:44:39 UTC
miwi        2009-05-30 18:44:30 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/lxr            Makefile distinfo pkg-descr pkg-plist 
    devel/lxr/files      fix-perl-warnings.patch pkg_message.in 
                         pkg_message.mysql.in 
                         pkg_message.postgresql.in 
  Log:
  A general purpose source code indexer and cross-referencer that
  provides web-based browsing of source code with links to the
  definition and usage of any identifier.
  
  WWW: http://sourceforge.net/projects/lxr/
  
  PR:             ports/134145
  Submitted by:   Eygene Ryabinkin
  
  Revision  Changes    Path
  1.3506    +1 -0      ports/devel/Makefile
  1.1       +137 -0    ports/devel/lxr/Makefile (new)
  1.1       +3 -0      ports/devel/lxr/distinfo (new)
  1.1       +127 -0    ports/devel/lxr/files/fix-perl-warnings.patch (new)
  1.1       +28 -0     ports/devel/lxr/files/pkg_message.in (new)
  1.1       +9 -0      ports/devel/lxr/files/pkg_message.mysql.in (new)
  1.1       +12 -0     ports/devel/lxr/files/pkg_message.postgresql.in (new)
  1.1       +7 -0      ports/devel/lxr/pkg-descr (new)
  1.1       +60 -0     ports/devel/lxr/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"